ATA_PACK_XFERMASK(9)

NAME
ata_pack_xfermask - Pack pio, mwdma and udma masks into xfer_mask

SYNOPSIS

unsigned long ata_pack_xfermask(unsigned long pio_mask, unsigned long mwdma_mask, unsigned long udma_mask);

ARGUMENTS

pio_mask
    pio_mask

mwdma_mask
    mwdma_mask

udma_mask
    udma_mask

DESCRIPTION

Pack pio_mask, mwdma_mask and udma_mask into a single unsigned int xfer_mask.

LOCKING

None.

RETURNS

Packed xfer_mask.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT